﻿@inject GlobalAppState GlobalAppState
@inject IMatToaster Toaster
@implements IDisposable

<div class="top-row pl-4 navbar navbar-dark">
    <a class="navbar-brand" href="">FIO</a>
    <div style="float: right">
    @switch (GlobalAppState.State)
    {
        case LoadState.Loading:
            <Spin size="medium" />
            break;
        case LoadState.Authenticating:
            <Spin size="medium" />
            break;
        case LoadState.Authenticated:
            <Button Type="primary" OnClick="OnLogout">Log Out</Button>
            break;
        case LoadState.NotAuthenticated:
            <Button Type="primary" OnClick="@(()=>{ loginDlgVisible = true; })">
                Login
            </Button>
            <Modal Title="Login"
                    Visible="loginDlgVisible"
                    OnOk="@OnLoginOk"
                    OnCancel="@OnLoginCancel">
                <em>This is <i>not</i> your APEX login.</em>
                <Input placeholder="UserName" @bind-Value="@loginInputUserName"/>
                <InputPassword type="password" placeholder="Password" @bind-Value="@loginInputPassword" />
                <Checkbox Checked="@loginRemember" CheckedChange="@ToggleChecked">Remember Me</Checkbox>
            </Modal>
            break;
    }
    </div>
    <button class="navbar-toggler" @onclick="ToggleNavMenu">
        <span class="navbar-toggler-icon"></span>
    </button>
</div>

<div class="@NavMenuCssClass" @onclick="ToggleNavMenu">
    <ul class="nav flex-column">
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="" Match="NavLinkMatch.All">
                <span class="oi oi-home" aria-hidden="true"></span> Home
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="planetsearch">
                <span class="oi oi-magnifying-glass" aria-hidden="true"></span> Planet Search
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="map">
                <span class="oi oi-target" aria-hidden="true"></span> Universe Map
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="chat">
                <span class="oi oi-chat" aria-hidden="true"></span> Chat
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="priceindices">
                <span class="oi oi-graph" aria-hidden="true"></span> Price Indices
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="tradefinder">
                <span class="oi oi-signpost" aria-hidden="true"></span> Trade Finder
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="shipmentfinder">
                <span class="oi oi-transfer" aria-hidden="true"></span> Shipment Finder
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="materialviewer">
                <span class="oi oi-book" aria-hidden="true"></span> Material Viewer
            </NavLink>
        </li>
        @if ( Utils.False )
        {
             <li class="nav-item px-3">
                <NavLink class="nav-link" href="cxtransactionviewer">
                    <span class="oi oi-copywriting" aria-hidden="true"></span> CX Transactions
                </NavLink>
            </li>   
        }

        @if (GlobalAppState.State == LoadState.Authenticated)
        {
            <li class="nav-item px-3">
                <NavLink class="nav-link" href="burnrate">
                    <span class="oi oi-fire" aria-hidden="true"></span> BurnRate
                </NavLink>
            </li>

            <li class="nav-item px-3">
                <NavLink class="nav-link" href="burn">
                    <span class="oi oi-fire" aria-hidden="true"></span> Burn (Beta)
                </NavLink>
            </li>

            <li class="nav-item px-3">
                <NavLink class="nav-link" href="inventory">
                    <span class="oi oi-briefcase" aria-hidden="true"></span> Inventory
                </NavLink>
            </li>
        }
        @if (GlobalAppState.State == LoadState.Authenticated)
        {
            @if ( Utils.False )
            {
            <li class="nav-item px-3">
                <NavLink class="nav-link" href="fleet">
                    <span class="oi oi-location" aria-hidden="true"></span> Fleet
                </NavLink>
            </li>
            <li class="nav-item px-3">
                <NavLink class="nav-link" href="shipmenttracker">
                    <span class="oi oi-map-marker" aria-hidden="true"></span> Shipment Tracker
                </NavLink>
            </li>
            }

            <li class="nav-item px-3">
                <NavLink class="nav-link" href="buildingdata">
                    <span class="oi oi-globe" aria-hidden="true"></span> Building Data
                </NavLink>
            </li>

            <li class="nav-item px-3">
                <NavLink class="nav-link" href="settings">
                    <span class="oi oi-cog" aria-hidden="true"></span> Settings
                </NavLink>
            </li>

            if (GlobalAppState.IsAdmin)
            {
                <li class="nav-item px-3">
                <NavLink class="nav-link" href="admin">
                    <span class="oi oi-key" aria-hidden="true"></span> Admin
                </NavLink>
            </li>
            }
        }
    </ul>
</div>
